petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecAssemblyBegin

Begins assembling the vector. This routine should be called after completing all calls to VecSetValues().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecAssemblyBegin(Vec vec)

Collective on Vec Many br

### Input Parameter

vec -the vector Many br

Many br

### See Also

VecAssemblyEnd(), VecSetValues()

Level:beginner
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex2.c.html
src/vec/vec/examples/tutorials/ex3.c.html
src/vec/vec/examples/tutorials/ex5.c.html
src/vec/vec/examples/tutorials/ex8.c.html
src/vec/vec/examples/tutorials/ex9.c.html
src/vec/vec/examples/tutorials/ex10.c.html
src/vec/vec/examples/tutorials/ex15.c.html
src/vec/vec/examples/tutorials/ex18.c.html
src/vec/vec/examples/tutorials/ex19.c.html
src/vec/vec/examples/tutorials/ex2f.F.html
src/vec/vec/examples/tutorials/ex3f.F.html